Bug 1798804 - Monitoring Dashboards: Don't display hidden variable dropdowns
Summary: Monitoring Dashboards: Don't display hidden variable dropdowns
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-06 03:36 UTC by Andrew Pickering
Modified: 2020-05-04 11:34 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-04 11:34:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
grafana-dashboard-k8s-resources-workloads-namespace (82.89 KB, image/png)
2020-02-10 10:01 UTC, Yadan Pei
no flags Details


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 4218 None closed Bug 1798804: Monitoring Dashboards: Don't display hidden variable dropdowns 2020-02-10 10:01:26 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:34:29 UTC

Description Andrew Pickering 2020-02-06 03:36:53 UTC
Some variables are marked as `"hide": 2` in the dashboard definition `templating` section. These should not be displayed on the Monitoring Dashboards page.

Comment 2 Yadan Pei 2020-02-10 10:01:11 UTC
Created attachment 1662109 [details]
grafana-dashboard-k8s-resources-workloads-namespace

1. Check dashboard grafana-dashboard-k8s-resources-workloads-namespace in openshift-config-managed namespace, "name": "cluster" and "name": "interval" are set with "hide": 2, these variable dropdown are not shown in console dashboard

$ oc get cm grafana-dashboard-k8s-resources-workloads-namespace -o yaml -n openshift-config-managed
        "templating": {
            "list": [
                {
                    "current": {
                        "text": "default",
                        "value": "default"
                    },
                    "hide": 0,
                    "label": null,
                    "name": "datasource",
                    "options": [

                    ],
                    "query": "prometheus",
                    "refresh": 1,
                    "regex": "",
                    "type": "datasource"
                },
                {
                    "allValue": null,
                    "current": {
                        "text": "prod",
                        "value": "prod"
                    },
                    "datasource": "$datasource",
                    "hide": 2,
                    "includeAll": false,
                    "label": "cluster",
                    "multi": false,
                    "name": "cluster",
                    "options": [

                    ],
                    "query": "label_values(kube_pod_info, cluster)",
                    "refresh": 1,
                    "regex": "",
                    "sort": 2,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "query",
                    "useTags": false
                },
                {
                    "allValue": null,
                    "current": {
                        "text": "prod",
                        "value": "prod"
                    },
                    "datasource": "$datasource",
                    "hide": 0,
                    "includeAll": false,
                    "label": "namespace",
                    "multi": false,
                    "name": "namespace",
                    "options": [

                    ],
                    "query": "label_values(kube_pod_info{cluster=\"$cluster\"}, namespace)",
                    "refresh": 1,
                    "regex": "",
                    "sort": 2,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "query",
                    "useTags": false
                },
                {
                    "allValue": null,
                    "auto": false,
                    "auto_count": 30,
                    "auto_min": "10s",
                    "current": {
                        "text": "5m",
                        "value": "5m"
                    },
                    "datasource": "$datasource",
                    "hide": 2,
                    "includeAll": false,
                    "label": null,
                    "multi": false,
                    "name": "interval",
                    "options": [
                        {
                            "selected": true,
                            "text": "4h",
                            "value": "4h"
                        }
                    ],
                    "query": "4h",
                    "refresh": 2,
                    "regex": "",
                    "skipUrlSync": false,
                    "sort": 1,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "interval",
                    "useTags": false
                },
                {
                    "allValue": null,
                    "auto": false,
                    "auto_count": 30,
                    "auto_min": "10s",
                    "current": {
                        "text": "deployment",
                        "value": "deployment"
                    },
                    "datasource": "$datasource",
                    "definition": "label_values(mixin_pod_workload{namespace=~\"$namespace\", workload=~\".+\"}, workload_type)",
                    "hide": 0,
                    "includeAll": false,
                    "label": null,
                    "multi": false,
                    "name": "type",
                    "options": [

                    ],
                    "query": "label_values(mixin_pod_workload{namespace=~\"$namespace\", workload=~\".+\"}, workload_type)",
                    "refresh": 1,
                    "regex": "",
                    "skipUrlSync": false,
                    "sort": 0,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "query",
                    "useTags": false
                }
            ]
        },

Verified on 4.4.0-0.nightly-2020-02-09-193413

Comment 4 errata-xmlrpc 2020-05-04 11:34:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.